# Generated by rust2rpm
# Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate tokio-core

Name:           rust-%{crate}
Version:        0.1.17
Release:        5%{?dist}
Summary:        Core I/O and event loop primitives for asynchronous I/O in Rust

License:        MIT or ASL 2.0
URL:            https://crates.io/crates/tokio-core
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
# [dependencies]
BuildRequires:  (crate(bytes) >= 0.4.0 with crate(bytes) < 0.5.0)
BuildRequires:  (crate(futures) >= 0.1.21 with crate(futures) < 0.2.0)
BuildRequires:  (crate(iovec) >= 0.1.0 with crate(iovec) < 0.2.0)
BuildRequires:  (crate(log) >= 0.4.0 with crate(log) < 0.5.0)
BuildRequires:  (crate(mio) >= 0.6.12 with crate(mio) < 0.7.0)
BuildRequires:  (crate(scoped-tls) >= 0.1.0 with crate(scoped-tls) < 0.2.0)
BuildRequires:  (crate(tokio) >= 0.1.5 with crate(tokio) < 0.2.0)
BuildRequires:  (crate(tokio-executor) >= 0.1.2 with crate(tokio-executor) < 0.2.0)
BuildRequires:  (crate(tokio-io) >= 0.1.0 with crate(tokio-io) < 0.2.0)
BuildRequires:  (crate(tokio-reactor) >= 0.1.1 with crate(tokio-reactor) < 0.2.0)
BuildRequires:  (crate(tokio-timer) >= 0.2.1 with crate(tokio-timer) < 0.3.0)
%if %{with check}
# [dev-dependencies]
BuildRequires:  (crate(env_logger) >= 0.4.0 with crate(env_logger) < 0.5.0)
BuildRequires:  ((crate(flate2) >= 1.0.0 with crate(flate2) < 2.0.0) with crate(flate2/tokio))
BuildRequires:  (crate(futures-cpupool) >= 0.1.0 with crate(futures-cpupool) < 0.2.0)
BuildRequires:  (crate(http) >= 0.1.0 with crate(http) < 0.2.0)
BuildRequires:  (crate(httparse) >= 1.0.0 with crate(httparse) < 2.0.0)
BuildRequires:  (crate(libc) >= 0.2.0 with crate(libc) < 0.3.0)
BuildRequires:  (crate(num_cpus) >= 1.0.0 with crate(num_cpus) < 2.0.0)
BuildRequires:  (crate(serde) >= 1.0.0 with crate(serde) < 2.0.0)
BuildRequires:  (crate(serde_derive) >= 1.0.0 with crate(serde_derive) < 2.0.0)
BuildRequires:  (crate(serde_json) >= 1.0.0 with crate(serde_json) < 2.0.0)
BuildRequires:  (crate(time) >= 0.1.0 with crate(time) < 0.2.0)
%endif

%description
%{summary}.

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel
Core I/O and event loop primitives for asynchronous I/O in Rust. Foundation for
the rest of the tokio crates.

This package contains library source intended for building other packages
which use %{crate} from crates.io.

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{cargo_registry}/%{crate}-%{version}/
%exclude %{cargo_registry}/%{crate}-%{version}/appveyor.yml

%changelog
* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.17-5
- Rebuild to trigger tests

* Sat Jul 21 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.17-4
- Rebuild to trigger tests

* Sat Jul 21 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.17-3
- Run tests in infrastructure

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Apr 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.17-1
- Update to 0.1.17

* Fri Mar 23 2018 Josh Stone <jistone@redhat.com> - 0.1.16-1
- Update to 0.1.16

* Mon Mar 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.15-1
- Update to 0.1.15

* Fri Mar 09 2018 Josh Stone <jistone@redhat.com> - 0.1.12-3
- Use an explicit call to resolve tokio-io conflict

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.12-1
- Update to 0.1.12

* Fri Jun 16 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.8-1
- Initial package
